package com.bonus.canteen.core.menu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.menu.dto.MenuRecipeSortVo;
import com.bonus.canteen.core.menu.entity.MenuRecipeBindSort;

import java.util.List;

public interface MenuRecipeBindSortService extends IService<MenuRecipeBindSort> {
   List<MenuRecipeSortVo> querySort();

   Boolean saveSort(List<MenuRecipeSortVo> content);

   void deleteByDevice(Integer deviceType);
}
